﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ClearingRestartingAutomaton.Common
{
    /// <summary>
    /// Static class encapsulating default string values.
    /// </summary>
    public static class StringDefaultValues
    {
        /// <summary>
        /// Returns the default left delimiter.
        /// </summary>
        public static string LeftDelimiter
        {
            get { return leftDelimiter; }
        }

        /// <summary>
        /// Returns the default right delimiter.
        /// </summary>
        public static string RightDelimiter
        {
            get { return rightDelimiter; }
        }

        /// <summary>
        /// Returns the default reduction arrow.
        /// </summary>
        public static string ReductionArrow
        {
            get { return reductionArrow; }
        }

        /// <summary>
        /// Returns the default generating arrow.
        /// </summary>
        public static string GeneratingArrow
        {
            get { return generatingArrow; }
        }

        private static readonly string leftDelimiter = "^";
        private static readonly string rightDelimiter = "$";
        private static readonly string reductionArrow = "->";
        private static readonly string generatingArrow = "=>";
    }
}
